// hexcon.h
// the test hexapod controller

#ifndef hexconh_defined
#define hexconh_defined

#include "legcontroller.h"
#include <iostream>


class Hexcon
{
private:
  float cycletime,risetime,stabletime,walktime;
public:
  float linkstate[2][3][3];
  float linkgoal[2][3][3];
private:
  HCleg *legcontrols[2][3];
public:
  Hexcon() {;};
  ~Hexcon() {;};
public:
  void buildcontroller();
private:
  void setlegconstants();
public:
  void setcycletime(float inval) {cycletime=inval;setlegconstants();};
  void setrisetime(float inval) {risetime=inval;setlegconstants();};
  void setstabletime(float inval) {stabletime=inval;setlegconstants();};
  void setwalktime(float inval) {walktime=inval;setlegconstants();};
  void process(float worldtime);
};


#endif


