// swmovie.h
// This file describes the wrappers for the configpp movie saving and loading class

// forward delcarations
class SWmovie_obj;


#ifndef swmovieh_defined
#define swmoveh_defined

#include "cfpmovie.h"
#include "cfpinc.h"



class SWmovie_obj: public CfpObject
{
private:
  cfpMovie *moviep;
  CfpObject *sobjp;
  CfpVAccessor *updateacc;
public:
  SWmovie_obj(bool registerme=true):CfpObject(){if (registerme) GlobalFactoryreg(this,"Movie");};
  SWmovie_obj(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  CfpVal done();							// any return value?
  void destruct();							// deinstatiate wrapped obj
  void construct();							// no arg constructor of wrappedobj
private:
  void construct_movie();						// build it
  void construct_movieobj();						// build it
private:
  void addaccessors();							// add any variable accessors
  void addargs_movie(CfpClass *newclassp);				// add generic args
};











#endif
