// cfpwrap.h
// This file defines the CfpWrapper class which is used to wrap language accesible members of
//  the Configpp class.

#ifndef INC_cfpwraph
#define INC_cfpwraph

#include "cfpinc.h"

//Not implemented in gcc yet (2.8.1)
//using namespace std;
//namespace Configpp{




//--------------------------------------------------------------------------------
//---- CfpWrap -------------------------------------------------------------------
//--------------------------------------------------------------------------------

class CfpWrap: public CfpObject
{
public:
  CfpWrap(bool registerme=true):CfpObject() {if (registerme) GlobalFactoryreg(this,"Cfpwrap");};
  CfpWrap(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  virtual void addobjmembers();							// add obj-specific members
  virtual CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  virtual void construct();							// no arg constructor of wrappedobj
  virtual void destruct() {instantiated=false;};				// deinstatiate wrapped obj
};





// }
// Namespace close-brace
#endif



