#include <RotationMatrix.h>

void CameraHP32::Set() {
   fill(0.0);
   VectorR3    w(eye-ref);
   w.normalize_self();
   double      d=up.dot(w);
   VectorR3    v1(d*w);
   VectorR3    v(up-v1);
   v.normalize_self();
   VectorR3    u(v.cross(w));
   TranslatorHR3  t(-1.0*ref(0),-1.0*ref(1),-1.0*ref(2));
   (*this).replace_column(0,u);
   (*this).replace_column(1,v);
   (*this).replace_column(2,w);
   (*this)=(*this)*t;
 }

