// JRmat.h
// a class for some misc. matrix operations

// forward declarations
class JRmathelper;

#ifndef INC_mathelperh
#define INC_mathelperh

#include "matrixinc.h"

#include "../../cfplibs/biobot/misc.def"

//Not implemented in gcc yet (2.8.1)
//using namespace std;
//namespace JR{



class JRmathelper
{
public:
  static void Normalize(perVectorR3 &vec);					// normalize a 3 vector
  static perMatrix ConvertEuler(double e1,double e2,double e3,perMatrix &R);	// convert eulers to rot matrix
  static perVectorR3 Cross(perVectorR3 a, perVectorR3 b);				// cross product of two 3 vectors
};





// }
// Namespace close-brace
#endif


