// cfpinc.h
// This is the generic header file for the configpp project.
// It inlcudes ALL local and stdlib header files.

// Note: the order of these include files is somewhat important.  Files with base classes should be listed
//       before files with their derived types.




// Standard library/template headers
#ifndef INC_stdh
#define INC_stdh
#include <map>
#include <deque>
#include <list>
#include <vector>
#include <set>
#include <climits>
#include <string>
#include <stdio.h>
#include <iostream>
#include <iomanip>
#include <fstream>
#include <strstream>  //:My c++ ref book says to #include 'sstream' but gcc 2.8.1 wants 'strstream'.
#endif


// Local headers
#ifndef INC_cfpinch
#define INC_cfpinch
#include "cfpforwards.h"
#include "JRutils.h"
#include "JRrand.h"
#include "cfpsymbols.h"
#include "cfperror.h"
#include "cfplexer.h"
#include "cfptype.h"
#include "cfpval.h"
#include "cfpobject.h"
#include "cfpstdlib.h"
#include "cfptimer.h"
#include "configpp.h"
#include "cfpfactory.h"
#include "cfpclass.h"
#include "cfpwrap.h"
#include "cfpmember.h"
#include "cfpaccessor.h"
#include "cfpwiresplice.h"
#endif

