//  Jesse Reichler, April 1996
//  Fred Delcomyn
//
//  experiment.h
//  This file contains the class definition for the Experiment class,
//   used to control and organize experiments, or simulation runs.
//  
//
#ifndef Experiment_defined
#define Experiment_defined

#include "misc.def"
#include "world.h"

#include <stdio.h>



class Experiment
{
private:
  class World *worldp;
  char name[NAMESTRLEN];
  double stoptime;
public:
  Experiment(char *iname,World *inworldp,double inruntime);
  ~Experiment();
public:
  void iterate();
  void end();
};



#endif
	
