// swmacro.h
// This file defines the wrappers for the macro class

// forward delcarations
class SWmacro_obj;

#ifndef swmacroh_defined
#define swmacroh_defined

#include "cfpmacros.h"
#include "cfpinc.h"


class SWmacro_obj: public CfpObject
{
private:
  CfpMacroClass *macroclassp;
public:
  SWmacro_obj(bool registerme=true):CfpObject() {if (registerme) GlobalFactoryreg(this,"Macro");};
  SWmacro_obj(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  CfpVal done();							// any return value?
  void destruct();							// deinstatiate wrapped obj
  void construct();							// no arg constructor of wrappedobj;
public:
  CfpMacroClass *getmacroclassp() {return macroclassp;};
  void construct_macroclass();
  void construct_macroarg();
  void construct_macrovar();
private:
  void addaccessors();							// add any variable accessors
  virtual bool scopesearchable() { return false;};   // tells parser not to search this macro *definition* inside objtrail lookup
};








#endif
