// swpdcontrol.h
// This file defines the wrappers for the hexapod controller

// forward delcarations
class SWpdcontrol_obj;

#ifndef swpdcontrolh_defined
#define swpdcontrolh_defined

#include "pdcontroller.h"
#include "cfpinc.h"


class SWpdcontrol_obj: public CfpObject
{
private:
  PDcontroller *controllerp;
  CfpVAccTriggerProxy *proxyp;
public:
  SWpdcontrol_obj(bool registerme=true):CfpObject(){if (registerme) GlobalFactoryreg(this,"Control.PD");};
  SWpdcontrol_obj(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  CfpVal done();							// any return value?
  void destruct();							// deinstatiate wrapped obj
  void construct();							// no arg constructor of wrappedobj;
private:
  void construct_pdcontroller();
private:
  void addaccessors();							// add any variable accessors
};











#endif
