

#define DEBUG_CTORS_AND_DTORS
#include <stdio.h>
#include "Vector.h"
#include "Matrix.h"
#include "LinearAlgebra.h"

// Jesse uncommented 2/9/96
#include "DHMatrix.h"
#include "ProjectionMatrix.h"
#include "TransformationMatrix.h"

void DHtest();
void R3test();
void ROTtest();


//#include "ProjectionMatrix.h"
//#include "TransformationMatrix.h"




/*
void mat_tst()
{
 DMatrix a(3,3);
 printf("rows,cols=%d,%d\n",a.rows(),a.columns());
 a.print();
 double vals[9];
 int i;
 for(i=0;i<9;i++) vals[i]=(double)i;
 a.init(vals);
 a.print();
 double val;
 int j;
 val=a.Min(&i,&j); printf("Min=%18g at %2d,%2d\n",val,i,j);
 val=a.Max(&i,&j); printf("Max=%18g at %2d,%2d\n",val,i,j);
 val=a.AbsMin(&i,&j); printf("AbsMin=%15g at %2d,%2d\n",val,i,j);
 val=a.AbsMax(&i,&j); printf("AbsMax=%15g at %2d,%2d\n",val,i,j);

 DMatrix b;
 b=a+a-(a+a); b.print();
 b=a-a-(a+a); b.print();
 b=a+a-(a-a); b.print();
 b=a-a-(a-a); b.print();

 b=a*a; b.print();
 b=a*2.0; b.print();
 b=a*-2.0; b.print();

// double val;
// int j;
 val=b.Min(&i,&j); printf("Min=%18g at %2d,%2d\n",val,i,j);
 val=b.Max(&i,&j); printf("Max=%18g at %2d,%2d\n",val,i,j);
 val=b.AbsMin(&i,&j); printf("AbsMin=%15g at %2d,%2d\n",val,i,j);
 val=b.AbsMax(&i,&j); printf("AbsMax=%15g at %2d,%2d\n",val,i,j);

}

void vec_tst()
{
 DVector a(3);
 printf("num elts=%d\n",a.size());
 a.print();
 double vals[9];
 int i;
 for(i=0;i<9;i++) vals[i]=(double)i;
 a.init(vals);
 a.print();

 DVector b;
 b=a+a-(a+a); b.print();
 b=a-a-(a+a); b.print();
 b=a+a-(a-a); b.print();
 b=a-a-(a-a); b.print();

// b=a*a; b.print();
 b=a*2.0; b.print();
 b=a*-2.0; b.print();

 double val;
 int j;
 val=b.Min(&i); printf("Min=%18g at %2d\n",val,i);
 val=b.Max(&i); printf("Max=%18g at %2d\n",val,i);
 val=b.AbsMin(&i); printf("AbsMin=%15g at %2d\n",val,i);
 val=b.AbsMax(&i); printf("AbsMax=%15g at %2d\n",val,i);

 for(i=0;i<3;i++)
	printf("Elt %d = %g\n",i,b(i));

 DVector c(~b);
 c.print();
 for(i=0;i<3;i++)
	printf("Elt %d = %g\n",i,c(i));
}

void matvec_tst()
{
 double vals[9];
 for(int i=0;i<9;i++) vals[i]=(double)i;
 DMatrix a(3,3,vals);
 DVector b(3,vals);
 DVector c(3,vals);
printf("Here are the vects.\n");
 a.print(); b.print(); c.print();

printf("Inner Product.\n");
 (b*c).print();
printf("Outer Product.\n");
 (c*b).print();
printf("Invalid m x row.\n");
 (a*b).print();
printf("m x col.\n");
 (a*c).print();
}
*/


main() {
 printf("Start.\n");

//ROTtest();
//exit(1);
//R3test();
//DHtest();





 FMatrix		B(2,2);
 FMatrix		B2(2,2);
 FVector		X(2,ColV);
 FVector		Y(2,ColV);
 float val;


 B(0,0)=1; B(0,1)=2;
 B(1,0)=3; B(1,1)=4;
 X(0)=5;
 X(1)=6;
 Y(0)=17;
 Y(1)=39;

 {
   printf("TEST of matrix * float multiplication.\n");
   val=100.0;
   printf("$matrix B is:\n");
   B.print();
   printf("val=%g\n",val);
   printf("val*B=\n");
   B2=val*B;
   B2.print();
   printf("B*val=\n");
   B2=B*val;
   B2.print();
   return;
 }


printf ("Matrix:\n");
B.print();
printf ("X is:\n");
X.print();
printf("Matrix times X is (Y):\n");
Y=B*X;
Y.print();
printf("Now we reverse engineer, by asking Mat*what=Y:\n");
X(0)=0;
X(1)=0;
X=Solve(B,Y);
X.print();
// ((B*X)-Y).print();
exit(1);

// Jesse uncommented 2/9/96 to dest Dennavit Hartenberg
/*
	{
	 DHMatrix   j1(  4.7, 0.0, 0.0,0.0);
	 DHMatrix	j2;
	 j1.print();
	 j2=j1.inv();
	 j2.print();
	 j1.print_values();
	 j2.print_values();
	 }

 Matrix		ID(j1*j2);
 ID.print();

// DHMatrix   j2(-90.0, 0.0, 3.0,0.0);
 DHMatrix   j3(  0.0,24.0, 3.0,0.0);
 DHMatrix   j4(  0.0,24.0, 1.0,0.0);
 DHMatrix   j5(j4);
 j1.print_values();
 VectorHR3	v1;
 VectorHR3	v2;
 v2=j1*v1;

 VectorR3   eye( 1.0, 0.0,0.0);
 VectorR3   ref( 0.0, 0.0,0.0);
 VectorR3   up(  0.0, 0.0,1.0);
 CameraHP32 cam(eye,ref,up);
 cam.print();

 VectorHR3	origin;
 VectorHR3	res;
 origin.print();
 res=cam*origin;
 origin.print();
*/
/*
 VectorHR3	v;
 (TranslationMatrixHR3(-1,-1,-1)*v).print();

 mat_tst();
 vec_tst();
// matvec_tst();


 double vals[4]={0.0,0.0,0.0,1.0};
 VectorR2      v(1.0,0.0);
 RotatorR2     r(90.0);
 VectorHR3     vh(1.0,0.0,0.0);
 RotatorHR33   rh(90.0);

 VectorR3   X( 10.0, 0.0,0.0);
 VectorR3   Y( 0.0, 10.0,0.0);
 VectorR3   Z( 0.0, 0.0,10.0);
 CameraHP32 cam_x(X,(VectorR3)-X,Y);
 CameraHP32 cam_y(Y,(VectorR3)-Y,X);
 CameraHP32 cam_z(Z,(VectorR3)-Z,X);
 VectorHR3  pos1(0.0,0.0,0.0);
 VectorHR3  pos2(1.0,0.0,0.0);
 VectorHR3  pos3(0.0,1.0,0.0);
 VectorHR3  pos4(0.0,0.0,1.0);

 VectorHR3	proj[4][3];
 proj[0][0]=~(cam_x* ~pos1);
 proj[1][0]=~(cam_x* ~pos2);
 proj[2][0]=~(cam_x* ~pos3);
 proj[3][0]=~(cam_x* ~pos4);

 proj[0][1]=~(cam_y* ~pos1);
 proj[1][1]=~(cam_y* ~pos2);
 proj[2][1]=~(cam_y* ~pos3);
 proj[3][1]=~(cam_y* ~pos4);

 proj[0][2]=~(cam_z* ~pos1);
 proj[1][2]=~(cam_z* ~pos2);
 proj[2][2]=~(cam_z* ~pos3);
 proj[3][2]=~(cam_z* ~pos4);

 cam_x.print();
 cam_y.print();
 cam_z.print();
 int i,j;
 for(i=0;i<3;i++) {
	printf("o->%g,%g\n",(double)(proj[0][i](0)),(double)(proj[0][i])(1));
	printf("x->%g,%g\n",(double)(proj[1][i](0)),(double)(proj[1][i])(1));
	printf("y->%g,%g\n",(double)(proj[2][i](0)),(double)(proj[2][i])(1));
	printf("z->%g,%g\n",(double)(proj[3][i](0)),(double)(proj[3][i])(1));
	}

 printf("Testing IO.\n");
 FILE* f=fopen("test.mtx","w");
 cam_x.print(f); fclose(f);
 printf("Wrote:\n"); cam_x.print();
 Matrix m;
 f=fopen("test.mtx","r");
 m.read(f); fclose(f);
 printf("Read:\n"); m.print();

 VectorR3 V1,V2;
 f=fopen("test.vtx","w");
 V1.print(f); fclose(f);
 printf("Wrote:\n"); V1.print();
 f=fopen("test.vtx","r");
 V2.read(f); fclose(f);
 printf("Read:\n"); V2.print();
*/

 printf("End.\n");
}











void R3test()
{
//TFMatrixR3 j1;
//TFMatrixR3 j2;
//TFMatrixR3 *j3;
FMatrix j1(3,3);
FMatrix j2(3,3);
FMatrix *j3;

j1(0,2)=2.0;
j1(1,2)=3.0;
j1(1,1)=4.0;
j1(2,2)=5.0;
j1.print();
j2=~j1;
j2.print();
j3=new FMatrix(~j1);
//j3=new TFMatrixR3(~j1);
j3->print();
}




void DHtest()
	{
	printf("Jesse's DH test:\n");
	 DHMatrix   j1(  1.0, 2.0, 3.0,4.0);
	 DHMatrix	j2;
	Matrix j3(3,3);

	 j1.print();
	 j2=j1.inv();
	 j2.print();
	 j1.print_values();
	 j2.print_values();
	j1.sub_matrix(2,2,0,0).print();
	j3=j1.sub_matrix(2,2,0,0);
	j3.print();
	}
	




void ROTtest()
	{
	   printf("Jesse's ROT test:\n");
	   int count;
	   int lastrial=500000;
	   int links=5;
	   FMatrix **ROT;
	   FVectorR3 t1(1,2,-2);
	   FVectorR3 t2(3,0,1);
	   FVectorR3 t3;
	   FVectorR3 *t4;
	   

	   for (int times=1;times<lastrial;++times)
	     {
		t3=t1.cross(t2);
//		t4=t1.cross(t2);

		printf("Trial %d.\n",times);

		if (times==1)
		  {
		     t1.print();
		     t2.print();
		     t3.print();
//		     t4->print();
		  }
//                delete t4;
		continue;

		ROT=new FMatrix*[links+2];
		for (count=0; count <=links+1; ++count)
		  ROT[count]=new FMatrix[links+2];

		printf( "Done creating ROT.\n");
		ROT[1][2]=FMatrix(200,200);
		ROT[1][2]=FMatrix(200,200);
		ROT[3][3]=FMatrix(200,200);
		ROT[3][3]=FMatrix(200,200);
		ROT[1][2](0,0)=1.0;
		ROT[1][2].sub_matrix(2,2,0,0).print();
		if (times == lastrial-1)
		  {
		     ROT[1][2].print();
		  }
		
		printf("Now deleteing.\n");
		for (count=0; count <=links+1; ++count)
		  delete [] ROT[count];
		delete [] ROT;
	     }
	}

